This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501894 - Some String parameters should be OptString
Some String parameters should be OptString
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 501893
  Show dependency treegraph
 
Reported: 2009-05-21 04:54 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:54:02 EDT
Some parameters which are currently typed as 'String'
may in fact take NULL so should be typed as
'OptString'.

guestfs_set_path
[list any others below]

See also:
bug 501892 (OptString parameters not handled properly in bindings)
bug 501893 (String parameters should be checked for != NULL)
Comment 1 Mark McLoughlin 2009-05-25 10:53:05 EDT
Moving upstream
Comment 2 Richard W.M. Jones 2010-05-19 07:35:01 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-May/msg00116.html
Comment 3 Fedora Update System 2010-05-24 12:12:36 EDT
libguestfs-1.2.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.8-1.el5
Comment 4 Fedora Update System 2010-05-24 14:06:35 EDT
libguestfs-1.2.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.8-1.fc13
Comment 5 Fedora Update System 2010-05-27 14:32:43 EDT
libguestfs-1.2.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.